Skip to main content
POST
/
printed-checks
/
{id}
/
void
Void a printed check
curl --request POST \
  --url https://api.arcuserp.com/v1/printed-checks/{id}/void \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "void_reason": "<string>"
}
'
import requests

url = "https://api.arcuserp.com/v1/printed-checks/{id}/void"

payload = { "void_reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({void_reason: '<string>'})
};

fetch('https://api.arcuserp.com/v1/printed-checks/{id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "object": "printed_check",
  "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "check_number": 123,
  "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "memo": "<string>",
  "printed_at": "2023-11-07T05:31:56Z",
  "voided_at": "2023-11-07T05:31:56Z",
  "cleared_at": "2023-11-07T05:31:56Z"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

API key issued per entity via Settings > Developers > API Keys. Each key carries scopes (e.g. orders:read, products:write). Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
void_reason
string

Response

Voided check

A check printed by Arcus (paper AP payment).

id
string<uuid>
object
enum<string>
Available options:
printed_check
entity_id
string<uuid>
read-only
check_number
integer
read-only

Sequential per bank account.

bank_account_id
string<uuid>
vendor_id
string<uuid>
amount
number
memo
string | null
status
enum<string>
read-only
Available options:
printed,
reprinted,
voided,
cleared
printed_at
string<date-time>
read-only
voided_at
string<date-time> | null
read-only
cleared_at
string<date-time> | null
read-only